# Getting your S3 storage credentials

## Using the Management Interface <a href="#using-the-management-interface" id="using-the-management-interface"></a>

1. Sign in to the LIBSAFE Go Management Interface
2. Click on your name and select **Access Methods**
3. In the **S3 compatible protocol** section, click **Regenerate**
4. Copy your **Access Keys** and **Secret Keys** and store them in a safe location. Note that more than one set of credentials may exist.

![](https://gblobscdn.gitbook.com/assets%2F-MVFE6MnOK93sACDCxxx%2F-MayOQwvZ5b1BMasRxmk%2F-Mayl5HrjKWv3r--rvcR%2Fimage.png?alt=media\&token=18cffd22-aa43-4e10-ac0f-c54f2b411e49)

Please note that the Secret Key will only be displayed once. It is possible to regenerate a key, but the old key will be invalidated and any process that uses it will receive an "access denied" error.

## Using the API <a href="#using-the-api" id="using-the-api"></a>

1. Use the following method to retrieve your credentials:

```
curl --request GET \
      --url "$your_platform_url/api/user/internal/access_methods" \
      --header "authorization: Bearer $your_platform_api_key"
```

![](https://gblobscdn.gitbook.com/assets%2F-MVFE6MnOK93sACDCxxx%2F-Mb0E6UqiUBUUwCoOe_c%2F-Mb0HetkJaMmLkoXxpT-%2Fimage.png?alt=media\&token=a2c71dcc-7083-4c6a-997e-0715360039a5)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.libnova.com/libsafe-go/cookbook/getting-your-s3-storage-credentials.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
